root = true

# Rider complains that these keys aren't supported but they *are*
# noinspection EditorConfigKeyCorrectness
[*.cs]
# Responder classes are considered "unused" by ReSharper because they're only loaded through reflection.
resharper_unused_type_global_highlighting = none
# Command methods are also considered unused, for the same reason.
resharper_unused_member_global_highlighting = none
# Command classes are generally only referred to in type parameters.
resharper_class_never_instantiated_global_highlighting = none
# We use PostgresSQL which doesn't recommend more specific string types
resharper_entity_framework_model_validation_unlimited_string_length_highlighting = none
# This is raised for every single property of records returned by endpoints
resharper_not_accessed_positional_property_local_highlighting = none
# ReSharper yells at us for the name "GuildCache", for some reason
resharper_inconsistent_naming_highlighting = none